Subject: [quicwg/base-drafts] 159063: Update draft-ietf-quic-transport.md

From: Martin Thomson <[email-masked]>
Date: Tue, 07 Feb 2017 20:15:51 -0800

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 159063288265d7a581e2170672194f29d672e984
      https://github.com/quicwg/base-drafts/commit/159063288265d7a581e2170672194f29d672e984
  Author: martinduke <[email-masked]>
  Date:   2016-12-21 (Wed, 21 Dec 2016)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Rewrote the PMTUD section as discussed in Issue #64:
https://github.com/quicwg/base-drafts/issues/64

Because of concern about user-space implementations controlling kernel PMTU mechanisms, and interest in PLPMTUD as an alternative to tradition ICMP PMTUD, this is a thick web of different options, MUSTs and SHOULDs. In my truest heart I would like to sweep a lot of this away and do a MUST based on around the ICMP system, but though wordy this is more likely to please everyone.

  Commit: 2021025b266b9ab983c22e3b428ea878db45f58c
      https://github.com/quicwg/base-drafts/commit/2021025b266b9ab983c22e3b428ea878db45f58c
  Author: martinduke <[email-masked]>
  Date:   2017-01-10 (Tue, 10 Jan 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Substantial edits for #106 to reflect comments for both it and #105.

  Commit: 6ef293130e793f8a5ec4459f4fa55a801cf99c66
      https://github.com/quicwg/base-drafts/commit/6ef293130e793f8a5ec4459f4fa55a801cf99c66
  Author: martinduke <[email-masked]>
  Date:   2017-01-11 (Wed, 11 Jan 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

- Clarified that packet number ambiguity only exists in IPv4, as RFC 1885 requires IPv6 packet-too-big messages to be quite a bit longer.
- Addressed all of Ian's comments, except...
- I'm sticking with the MUST set DF for IPv4 handshake packets, because I don't see how the basic test-the-MTU mechanism works without it.

  Commit: 9fbcca385dbf5a43916b4f217ec4d4b62407a458
      https://github.com/quicwg/base-drafts/commit/9fbcca385dbf5a43916b4f217ec4d4b62407a458
  Author: martinduke <[email-masked]>
  Date:   2017-01-12 (Thu, 12 Jan 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Revised PMTU section

Addressed Jana's comments.

  Commit: e7b455c745f1c2da93b1b393cad030e818e986e1
      https://github.com/quicwg/base-drafts/commit/e7b455c745f1c2da93b1b393cad030e818e986e1
  Author: martinduke <[email-masked]>
  Date:   2017-01-13 (Fri, 13 Jan 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Addressed Martin T's 01/12 comments.

  Commit: e7683255809c372d2de7a4355a94036f384943b1
      https://github.com/quicwg/base-drafts/commit/e7683255809c372d2de7a4355a94036f384943b1
  Author: martinduke <[email-masked]>
  Date:   2017-01-17 (Tue, 17 Jan 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Removed the paragraph on handshake padding (now in Issue #164) so that the rest can be merged into the document.

  Commit: 5bf31689873343f75f8e7f7d854c360dc602a884
      https://github.com/quicwg/base-drafts/commit/5bf31689873343f75f8e7f7d854c360dc602a884
  Author: martinduke <[email-masked]>
  Date:   2017-01-26 (Thu, 26 Jan 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Added all the changes decided on in Tokyo for #64, #69, #139, #164.

I imagine any remaining comments will be editorial.

  Commit: cfaeff689a7d3d9a8204939c2cdea61f7e75077d
      https://github.com/quicwg/base-drafts/commit/cfaeff689a7d3d9a8204939c2cdea61f7e75077d
  Author: martinduke <[email-masked]>
  Date:   2017-02-07 (Tue, 07 Feb 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Addressed Martin Thomson's issues. Changes are not quite verbatim from his suggestions.

  Commit: 57935188890c3361785841a6294fdd136efa67c5
      https://github.com/quicwg/base-drafts/commit/57935188890c3361785841a6294fdd136efa67c5
  Author: Martin Thomson <[email-masked]>
  Date:   2017-02-08 (Wed, 08 Feb 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #106 from martinduke/patch-1

PMTUD

Compare: https://github.com/quicwg/base-drafts/compare/9fe0b7d2d833...57935188890c